# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-koi8r; -*-

Name: mdadm
Version: 1.12.0
Release: alt2

Summary: A tool for managing Soft RAID under Linux
License: GPL
Group: System/Configuration/Hardware
Url: http://cgi.cse.unsw.edu.au/~neilb/%name

Source0: http://www.kernel.org/pub/linux/utils/raid/%name/%name-%version.tar.bz2
Source1: %name.init
Source2: raidtabtomdadm.sh
Source3: rc.sysinit-mdassemble.patch
Source4: %name.conf

BuildPreReq: dietlibc

# Automatically added by buildreq on Mon Mar 07 2005
BuildRequires: groff-base

Summary(ru_RU.KOI8-R):      (Software RAID)

%description
%name is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.

As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without
a configuration file (that a config file can be used to help
with some common tasks).

Look also for mdmpd, monitoring daemon for resetting kernel state
of failed, but restored devices.

%description -l ru_RU.KOI8-R
%name    ,   
    (Software RAID), 
     "md" (multiple devices).

     raidtools,
     %name    
       ,
    .

   %name     mdmpd,
        
       .

%prep
%setup -q
%__cp -au %SOURCE2 %SOURCE3 .

%build
%make_build CXFLAGS="%optflags" SYSCONFDIR="%_sysconfdir"
bzip2 -9fk ChangeLog
%make_build mdassemble CXFLAGS="%optflags -DMDASSEMBLE_AUTO" SYSCONFDIR="%_sysconfdir"

#define pre_udev_conf %_sysconfdir/%name.conf.before-udev

%install
%make_install install DESTDIR=%buildroot MANDIR=%_mandir BINDIR=%_sbindir
install -pD -m744 %SOURCE1 %buildroot%_initdir/%name
install -pD -m744 misc/syslog-events %buildroot%_sbindir/%name-syslog-events
install -pD -m744 mdassemble %buildroot/sbin/mdassemble
install -pD -m600 %SOURCE4 %buildroot%_sysconfdir/%name.conf
#__touch %buildroot%pre_udev_conf

%post -f raidtabtomdadm.sh
%post_service %name

%preun
%preun_service %name

%triggerin -- udev
echo "\
IMPORTANT NOTE: udev service changes names of drives.
--------------  It's recommended to diagnose (or remove, if possibly)
                all 'DEVICE' lines and 'devices=xxx' option
                in %_sysconfdir/%name.conf and call 'service mdadm restart' command."

%triggerun -- udev
[ $2 = 0 ] || exit 0
#[ -e %pre_udev_conf ] || exit 0
echo "\
IMPORTANT NOTE: udev service changes names of drives.
--------------  It's recommended to diagnose (or remove, if possibly)
                all 'DEVICE' lines and 'devices=xxx' option
                in %_sysconfdir/%name.conf and call 'service mdadm restart' command."

%files
/sbin/md*
%_sbindir/md*
%config(noreplace,missingok) %_sysconfdir/%name.conf
#ghost %config(noreplace,missingok) %noverify %pre_udev_conf
%_mandir/man?/md*
%_initdir/%name
%doc TODO ChangeLog.bz2 %name.conf-example ANNOUNCE-%version

%changelog
* Wed Jul 27 2005 Ilya Evseev <evseev@altlinux.ru> 1.12.0-alt2
- bugfix #7087 (use grep instead of egrep in service script)
- watch udev (un)install and display warnings about changed devices naming
- created our own minimalistic configuration file for mdmonitor;
  however, it should be completely functional in most cases

* Wed Jul 13 2005 Michael Shigorin <mike@altlinux.org> 1.12.0-alt1
- 1.12.0
- removed peet@'s patch (fixed in 1.11.0)

* Thu May 12 2005 Peter V. Saveliev <peet@altlinux.ru> 1.10.0-rad1
- fixed device add

* Sun Apr 10 2005 Ilya Evseev <evseev@altlinux.ru> 1.10.0-alt1
- updated to 1.10.0, fixed segfault on 'mdadm -c partitions'
- changed project URL and source URL
- mdassemble cannot be disabled; it's installed to /sbin
- documentation: placed patch that should be applied to /etc/rc.d/rc.sysinit
  (see details on https://bugzilla.altlinux.org/show_bug.cgi?id=6322 and 6397)

* Mon Mar  8 2005 Ilya Evseev <evseev@altlinux.ru> 1.9.0-alt1
- 1.9.0
- specfile:
   + added russian summary and description,
   + changed source URL,
   + added mdmpd reference.
- taken from Mdk:
   + service init script,
   + raidtools conversion script,
   + diet libc bindings (may be turned off).

* Mon Jan 26 2004 Dmitry V. Levin <ldv@altlinux.org> 1.5.0-alt1
- Updated to 1.5.0.

* Thu Dec 18 2003 Dmitry V. Levin <ldv@altlinux.org> 1.4.0-alt1
- Updated to 1.4.0.
- Specfile cleanup.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 1.2.0-alt1
- Initial build for ALT Linux Sisyphus

* Fri May 10 2002  <neilb@cse.unsw.edu.au>
- update to 1.0.0
- Set CXFLAGS instead of CFLAGS

* Sat Apr  6 2002  <neilb@cse.unsw.edu.au>
- change %install to use "make install"

* Fri Mar 15 2002  <gleblanc@localhost.localdomain>
- beautification
- made mdadm.conf non-replaceable config
- renamed Copyright to License in the header
- added missing license file
- used macros for file paths

* Fri Mar 15 2002 Luca Berra <bluca@comedia.it>
- Added Obsoletes: mdctl
- missingok for configfile

* Wed Mar 12 2002 NeilBrown <neilb@cse.unsw.edu.au>
- Add md.4 and mdadm.conf.5 man pages

* Fri Mar 08 2002		Chris Siebenmann <cks@cquest.utoronto.ca>
- builds properly as non-root.

* Fri Mar 08 2002 Derek Vadala <derek@cynicism.com>
- updated for 0.7, fixed /usr/share/doc and added manpage

* Tue Aug 07 2001 Danilo Godec <danci@agenda.si>
- initial RPM build

## EOF ##
